#!/bin/sh
# Simple shell script to populate the dock by setting up some standard applications.
# TODO: a list of recently used applications would be nicer
DESKTOP_DIR="/usr/share/applications"

test -z ~/.kiba-dock/ || mkdir -p -- ~/.kiba-dock/
test -z ~/.kiba-dock/launcher/ || mkdir -p -- ~/.kiba-dock/launcher/

while read file; do
  if [ -e "$file" ] ; then
    printf "adding $file\n"
    cp $file ~/.kiba-dock/launcher/
  fi
done <<EOF
    $(ls $DESKTOP_DIR/*.desktop | grep gnome-terminal)
    $(ls $DESKTOP_DIR/*.desktop | grep gimp-2.2)
    $(ls $DESKTOP_DIR/*.desktop | grep epiphany)
    $(ls $DESKTOP_DIR/*.desktop | grep gaim)
    $(ls $DESKTOP_DIR/*.desktop | grep gnome-cd)
    $(ls $DESKTOP_DIR/*.desktop | grep background)
EOF
